> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# spotClearinghouseState

> Native Hyperliquid `/info` operation. Returns the spot clearinghouse state (token balances) for `user`.



## OpenAPI

````yaml /reference/api-json/hyperliquid-info-api-json.json post /v1/hyperliquid/info#3
openapi: 3.0.0
info:
  title: Uniblock Hyperliquid Info API
  description: >-
    Per-operation request/response docs for the Raw Hyperliquid Info dispatch
    endpoint. Each Hyperliquid Info `type` is a synthetic path through the
    single `POST /v1/hyperliquid/info` unified route.
  version: '1.0'
servers:
  - url: https://api.uniblock.dev/uni
    description: Gateway
security:
  - ApiKeyAuth: []
tags:
  - name: Hyperliquid
paths:
  /v1/hyperliquid/info#3:
    post:
      tags:
        - Hyperliquid
      summary: spotClearinghouseState
      description: >-
        Native Hyperliquid `/info` operation. Returns the spot clearinghouse
        state (token balances) for `user`.
      operationId: spotClearinghouseState_HyperliquidInfo
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            type: number
            enum:
              - 999
              - 998
            default: 999
            example: 999
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            type: string
            enum:
              - Alchemy
              - Dwellir
              - Chainstack
              - Covalent
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/HyperliquidInfo_spotClearinghouseState_Request
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/HyperliquidInfo_spotClearinghouseState_Response
components:
  schemas:
    HyperliquidInfo_spotClearinghouseState_Request:
      type: object
      required:
        - type
        - user
      properties:
        type:
          type: string
          enum:
            - spotClearinghouseState
          default: spotClearinghouseState
          example: spotClearinghouseState
        user:
          type: string
          description: The account address to query (0x-prefixed).
          example: '0x000000000000000000000000000000000000dEaD'
      example:
        type: spotClearinghouseState
        user: '0x000000000000000000000000000000000000dEaD'
    HyperliquidInfo_spotClearinghouseState_Response:
      type: object
      required:
        - balances
      properties:
        balances:
          type: array
          description: Per-token spot balances.
          items:
            type: object
            required:
              - coin
              - token
              - total
              - hold
              - entryNtl
            properties:
              coin:
                type: string
                example: USDC
              token:
                type: number
                example: 0
              total:
                type: string
                example: '0.0'
              hold:
                type: string
                example: '0.0'
              entryNtl:
                type: string
                example: '0.0'
      example:
        balances:
          - coin: USDC
            token: 0
            total: '12.83960786'
            hold: '0.0'
            entryNtl: '0.0'
          - coin: HFUN
            token: 2
            total: '0.04008203'
            hold: '0.0'
            entryNtl: '5.53940161'
          - coin: LICK
            token: 3
            total: '5784.52922'
            hold: '0.0'
            entryNtl: '0.36023326'
          - coin: JEFF
            token: 5
            total: '4668.49634'
            hold: '0.0'
            entryNtl: '31340.57424266'
          - coin: CAPPY
            token: 8
            total: '34641.89857'
            hold: '0.0'
            entryNtl: '0.19434105'
          - coin: CZ
            token: 17
            total: '6.5316321'
            hold: '0.0'
            entryNtl: '0.10455183'
          - coin: KOBE
            token: 24
            total: '240000000.0'
            hold: '0.0'
            entryNtl: '0.0'
          - coin: VEGAS
            token: 25
            total: '26626.5'
            hold: '0.0'
            entryNtl: '4428.9747957'
          - coin: SELL
            token: 30
            total: '74885063.5789999962'
            hold: '0.0'
            entryNtl: '24281.14818268'
          - coin: HBOOST
            token: 31
            total: '90000000.0'
            hold: '0.0'
            entryNtl: '0.0'
          - coin: PURRPS
            token: 33
            total: '35690647.3842500001'
            hold: '0.0'
            entryNtl: '361.57406391'
          - coin: GUP
            token: 34
            total: '100000.0'
            hold: '0.0'
            entryNtl: '17146.2'
          - coin: GPT
            token: 35
            total: '521953.757866'
            hold: '0.0'
            entryNtl: '9.89282378'
          - coin: PANDA
            token: 36
            total: '1042965.17508'
            hold: '0.0'
            entryNtl: '53018.18565383'
          - coin: BID
            token: 37
            total: '436410821.2099999785'
            hold: '0.0'
            entryNtl: '7618.48605024'
          - coin: HODL
            token: 38
            total: '3125105.9562307601'
            hold: '0.0'
            entryNtl: '11640.35545088'
          - coin: VAPOR
            token: 42
            total: '2184.52679'
            hold: '0.0'
            entryNtl: '0.5851705'
          - coin: PILL
            token: 45
            total: '8175278.2734480305'
            hold: '0.0'
            entryNtl: '135492.43653534'
          - coin: LADY
            token: 47
            total: '359809.1820299'
            hold: '0.0'
            entryNtl: '85318.39794043'
          - coin: CAT
            token: 48
            total: '205.89'
            hold: '0.0'
            entryNtl: '4.12541793'
          - coin: HPEPE
            token: 49
            total: '182323.45977'
            hold: '0.0'
            entryNtl: '11.4882012'
          - coin: MAGA
            token: 51
            total: '26.0258327'
            hold: '0.0'
            entryNtl: '0.00075474'
          - coin: MOG
            token: 52
            total: '29186868.9203086793'
            hold: '0.0'
            entryNtl: '291.87104926'
          - coin: OMNIX
            token: 53
            total: '17243753.8999999985'
            hold: '0.0'
            entryNtl: '46215.63939062'
          - coin: JEET
            token: 55
            total: '11411594.5564200003'
            hold: '0.0'
            entryNtl: '2885.12652807'
          - coin: DROP
            token: 56
            total: '2838343.1534587'
            hold: '0.0'
            entryNtl: '546.34088121'
          - coin: TEST
            token: 59
            total: '1996532.4752100001'
            hold: '0.0'
            entryNtl: '199.63328219'
          - coin: MEOW
            token: 61
            total: '207.011854'
            hold: '0.0'
            entryNtl: '0.48304728'
          - coin: FRAC
            token: 63
            total: '19600000.0639600009'
            hold: '0.0'
            entryNtl: '86047.50649321'
          - coin: ATEHUN
            token: 64
            total: '0.01269073'
            hold: '0.0'
            entryNtl: '0.00735453'
          - coin: COZY
            token: 66
            total: '244888.46'
            hold: '0.0'
            entryNtl: '1655.69087806'
          - coin: PEAR
            token: 71
            total: '17591.276548'
            hold: '0.0'
            entryNtl: '4.25001793'
          - coin: BRIDGE
            token: 73
            total: '10293.9'
            hold: '0.0'
            entryNtl: '1328.39391016'
          - coin: GUESS
            token: 74
            total: '286788.2565264'
            hold: '0.0'
            entryNtl: '6918.61560037'
          - coin: NEIRO
            token: 78
            total: '235.510759'
            hold: '0.0'
            entryNtl: '0.12170001'
          - coin: BERA
            token: 80
            total: '22.001824'
            hold: '0.0'
            entryNtl: '0.02309651'
          - coin: RISE
            token: 97
            total: '1767782.33731431'
            hold: '0.0'
            entryNtl: '293.45186799'
          - coin: WOW
            token: 98
            total: '35.11908'
            hold: '0.0'
            entryNtl: '0.07241091'
          - coin: STACK
            token: 101
            total: '165485.0'
            hold: '0.0'
            entryNtl: '41410.9664'
          - coin: PICKL
            token: 103
            total: '212.7555106'
            hold: '0.0'
            entryNtl: '1.81076215'
          - coin: VAULT
            token: 106
            total: '3979.82881719'
            hold: '0.0'
            entryNtl: '4.2887729'
          - coin: H
            token: 109
            total: '0.1099339'
            hold: '0.0'
            entryNtl: '0.0000797'
          - coin: UP
            token: 115
            total: '1.3218887'
            hold: '0.0'
            entryNtl: '0.00568808'
          - coin: HPL
            token: 120
            total: '1381.11633076'
            hold: '0.0'
            entryNtl: '19.46018893'
          - coin: KNTQ
            token: 124
            total: '0.06976274'
            hold: '0.0'
            entryNtl: '0.00358474'
          - coin: PIP
            token: 127
            total: '2000.0'
            hold: '0.0'
            entryNtl: '48165.6'
          - coin: YEETI
            token: 128
            total: '2.18074'
            hold: '0.0'
            entryNtl: '0.00017919'
          - coin: LQNA
            token: 129
            total: '0.05493901'
            hold: '0.0'
            entryNtl: '0.00483402'
          - coin: LIQUID
            token: 138
            total: '0.0109389'
            hold: '0.0'
            entryNtl: '0.01316496'
          - coin: NIGGO
            token: 142
            total: '0.01504822'
            hold: '0.0'
            entryNtl: '0.01072622'
          - coin: LUCKY
            token: 143
            total: '315.38986'
            hold: '0.0'
            entryNtl: '0.0102407'
          - coin: MUNCH
            token: 146
            total: '22011.67802'
            hold: '0.0'
            entryNtl: '0.48232762'
          - coin: YAP
            token: 149
            total: '0.01217207'
            hold: '0.0'
            entryNtl: '0.00421141'
          - coin: HYPE
            token: 150
            total: '2.71671343'
            hold: '0.0'
            entryNtl: '36.18555902'
          - coin: RETARD
            token: 152
            total: '280.54030769'
            hold: '0.0'
            entryNtl: '9.89836769'
          - coin: HOLD
            token: 153
            total: '132089.806559'
            hold: '0.0'
            entryNtl: '29060.99151233'
          - coin: STAR
            token: 154
            total: '7.86692748'
            hold: '0.0'
            entryNtl: '0.00161948'
          - coin: GENESY
            token: 156
            total: '51.90833199'
            hold: '0.0'
            entryNtl: '0.31767899'
          - coin: BUBZ
            token: 158
            total: '0.01048353'
            hold: '0.0'
            entryNtl: '0.00792649'
          - coin: FARM
            token: 161
            total: '18.99802372'
            hold: '0.0'
            entryNtl: '0.54987879'
          - coin: SOVRN
            token: 163
            total: '103228433.0'
            hold: '0.0'
            entryNtl: '1032.28433'
          - coin: HYENA
            token: 168
            total: '0.03493759'
            hold: '0.0'
            entryNtl: '0.00382762'
          - coin: LIQD
            token: 178
            total: '5684.52934042'
            hold: '0.0'
            entryNtl: '7.2282379'
          - coin: SENT
            token: 186
            total: '4950.0'
            hold: '0.0'
            entryNtl: '0.0516'
          - coin: FLY
            token: 187
            total: '0.73646154'
            hold: '0.0'
            entryNtl: '0.00794347'
          - coin: NEKO
            token: 190
            total: '64280.87251399'
            hold: '0.0'
            entryNtl: '6.07481241'
          - coin: JPEG
            token: 196
            total: '0.73212653'
            hold: '0.0'
            entryNtl: '0.00564908'
          - coin: VORTX
            token: 204
            total: '10.10088483'
            hold: '0.0'
            entryNtl: '0.0000909'
          - coin: LATINA
            token: 223
            total: '68960.4637'
            hold: '0.0'
            entryNtl: '443.07013394'
          - coin: RUB
            token: 277
            total: '99999999.0000199527'
            hold: '0.0'
            entryNtl: '101000040.1001472473'
          - coin: USDHL
            token: 291
            total: '0.015122'
            hold: '0.0'
            entryNtl: '0.01510687'
          - coin: LICKO
            token: 307
            total: '184.84484553'
            hold: '0.0'
            entryNtl: '0.10939112'
          - coin: USDH
            token: 360
            total: '0.01514771'
            hold: '0.0'
            entryNtl: '0.01514663'
          - coin: UMON
            token: 383
            total: '1.292346'
            hold: '0.0'
            entryNtl: '0.02406994'
          - coin: WWB
            token: 439
            total: '1098513538.0'
            hold: '0.0'
            entryNtl: '11274414.1843404006'
          - coin: MAX
            token: 734
            total: '563921.981595'
            hold: '0.0'
            entryNtl: '3.82499151'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (Optional)

````